Skip to main content
GET
/
integrations
List all integrations
curl --request GET \
  --url https://api.getmembrane.com/integrations \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "name": "<string>",
      "id": "<string>",
      "uuid": "<string>",
      "key": "<string>",
      "description": "<string>",
      "meta": {},
      "state": "BUILDING",
      "errors": [
        {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        }
      ],
      "revision": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "archivedAt": "<string>",
      "isDeactivated": true,
      "isReadOnly": true,
      "logoUri": "<string>",
      "connectorId": "<string>",
      "connectorVersion": "<string>",
      "oAuthCallbackUri": "<string>",
      "parameters": {},
      "hasMissingParameters": true,
      "hasDocumentation": true,
      "hasOperations": true,
      "operationsCount": 123,
      "hasData": true,
      "dataCollectionsCount": 123,
      "hasEvents": true,
      "eventsCount": 123,
      "hasGlobalWebhooks": true,
      "hasUdm": true,
      "isTest": true,
      "externalAppId": "<string>",
      "authType": "integration-app-token",
      "optionsConfig": {},
      "connection": {
        "id": "<string>",
        "name": "<string>",
        "userId": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>",
        "tenantId": "<string>",
        "key": "<string>",
        "isTest": true,
        "connected": true,
        "disconnected": true,
        "isDefunct": true,
        "state": "BUILDING",
        "errors": [
          {
            "message": "<string>",
            "type": "bad_request",
            "key": "<string>",
            "data": {},
            "stack": {},
            "causedByError": "<unknown>",
            "logs": [
              {}
            ]
          }
        ],
        "requestError": {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        },
        "error": {
          "message": "<string>",
          "type": "bad_request",
          "key": "<string>",
          "data": {},
          "stack": {},
          "causedByError": "<unknown>",
          "logs": [
            {}
          ]
        },
        "integrationId": "<string>",
        "connectorId": "<string>",
        "externalAppId": "<string>",
        "connectorVersion": "<string>",
        "authOptionKey": "<string>",
        "lastActiveAt": "<string>",
        "nextCredentialsRefreshAt": "<string>",
        "nextRetryTimestamp": "<string>",
        "retryAttempts": 123,
        "canTest": true,
        "canRefreshCredentials": true,
        "archivedAt": "<string>",
        "isDeactivated": true,
        "meta": {},
        "buildingAgentSessionId": "<string>",
        "clientAction": {
          "type": "connect",
          "description": "<string>",
          "uiUrl": "<string>",
          "agentInstructions": "<string>"
        }
      },
      "spec": {},
      "appUri": "<string>"
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

Maximum number of items to return (1-1000)

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor from a previous response

Text search query to filter results

connectorId
string
includeArchived
boolean
appUuid
string
connectors
number
externalApps
number
websearch
number

Response

200 - application/json
items
object[]
required
cursor
string